#
# spec file for package disorderfs
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           disorderfs
Version:        0.5.11
Release:        1.8
Summary:        FUSE filesystem that introduces non-determinism
License:        GPL-3.0-or-later
Group:          Development/Tools/Building
URL:            https://packages.debian.org/sid/disorderfs
Source0:        https://deb.debian.org/debian/pool/main/d/disorderfs/disorderfs_%{version}.orig.tar.bz2
Source1:        https://reproducible-builds.org/_lfs/releases/disorderfs/disorderfs-%{version}.tar.bz2.asc
Source2:        %{name}.keyring
BuildRequires:  asciidoc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(fuse)
Requires:       fuse

%description
disorderfs is an overlay FUSE filesystem that introduces non-determinism into
filesystem metadata. For example, it can randomize the order in which
directory entries are read. This is useful for detecting non-determinism
in the build process.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%files
%license COPYING
%doc README NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 0.5.11:
  * Improve tests.
  * Add RPM spec file
  * Makefile: allow to prepend flags in CXXFLAGS.
* Mon Aug 17 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.5.10:
  * Use "directory entries" over "dirents" in human-readable output/log messages.
  * Don't attempt to drop groups in multi-user mode when we are not root
  * Ignore the return values to fsyncdir to ensure (for example) dpkg(1) can "flush" /var/lib/dpkg
  * Move test execution logic into Makefile to not require a separate script
* Thu Oct 25 2018 bwiedemann@suse.com
- Update to 0.5.5
  * Allow tar and touch -m to update mtime of files
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=911281
  * Drop upstream xattr.patch
* Sun Sep 16 2018 Bernhard M. Wiedemann <bwiedemann@suse.com>
- Update to 0.5.3
  * Ensure readdir(2) returns consistent (and unique) inode numbers.
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=898287
- Add xattr.patch to fix build with attr-2.4.48
* Mon Jan  1 2018 avindra@opensuse.org
- update to 0.5.2
  * Add -q, --quiet options to avoid printing to stdout.
- cleanup with spec-cleaner
* Mon Jul 10 2017 bwiedemann@suse.com
- Use nicer upstream tarball and verify signature
* Thu Jul  6 2017 bwiedemann@suse.com
- fix build for Leap 42.1
* Mon Jul  3 2017 bwiedemann@suse.com
- Initial package version 0.5.1
